php-zend-code (4.15.1-1) unstable; urgency=medium

  [ Robert Lemke ]
  * Fix generating null return type from reflection in TypeGenerator

  [ Nishant Rana ]
  * Add Support for PHP 8.4 (#201)

 -- David Prévot <taffit@debian.org>  Sun, 27 Oct 2024 11:01:19 +0100

php-zend-code (4.14.0-1) unstable; urgency=medium

  [ Toon Verwerft ]
  * Return static instance on abstract class setters

  [ David Prévot ]
  * Update standards version to 4.7.0

 -- David Prévot <taffit@debian.org>  Sat, 06 Jul 2024 12:48:44 +0200

php-zend-code (4.13.0-3) unstable; urgency=medium

  * Adapt test for PHPUnit 11 (Closes: #1070613)

 -- David Prévot <taffit@debian.org>  Sun, 19 May 2024 21:40:54 +0200

php-zend-code (4.13.0-2) unstable; urgency=medium

  * Upload to unstable
  * Force system dependencies loading
  * Partially revert Upgrade to PHPUnit 10

 -- David Prévot <taffit@debian.org>  Tue, 05 Mar 2024 16:19:47 +0100

php-zend-code (4.13.0-1) experimental; urgency=medium

  [ Rajesh Kumar ]
  * PHP 8.3 support added

 -- David Prévot <taffit@debian.org>  Thu, 26 Oct 2023 07:59:21 +0200

php-zend-code (4.12.0-1) experimental; urgency=medium

  [ Martin Helmich ]
  * Allow enum value to be backed by an empty string

 -- David Prévot <taffit@debian.org>  Sat, 09 Sep 2023 10:58:19 +0530

php-zend-code (4.11.0-1) experimental; urgency=medium

  [ Shyim ]
  * Remove composer.lock from result

 -- David Prévot <taffit@debian.org>  Sat, 20 May 2023 11:53:15 +0200

php-zend-code (4.10.0-1) experimental; urgency=medium

  [ Thomas Klein ]
  * Use output mode configured in ValueGenerator instance

 -- David Prévot <taffit@debian.org>  Wed, 08 Mar 2023 14:27:07 +0100

php-zend-code (4.9.0-1) experimental; urgency=medium

  * Upload to experimental where PHPUnit 10 is available.

  [ Ion Bazan ]
  * Upgrade to PHPUnit 10

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.
  * Build-Depend on phpunit >= 10
  * Display skipped tests

 -- David Prévot <taffit@debian.org>  Sun, 05 Mar 2023 08:45:15 +0100

php-zend-code (4.8.0-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * Removed dead execution branches
  * Deprecating all `::fromArray()` methods in in the package
  * Drop PHP 7 support to improve type inference
  * Further restricting supported PHP version to `~8.1.0`

  [ Stéphane Demonchaux ]
  * Use str_starts_with and str_contains where possible

  [ Nicolas Grekas ]
  * Make the return-type of ClassReflection::getStartLine() explicit

  [ Rastusik ]
  * ValueGenerator - added support for enumerations

  [ David Prévot ]
  * Drop polyfill handling

 -- David Prévot <taffit@debian.org>  Sun, 11 Dec 2022 17:50:13 +0100

php-zend-code (4.7.1-1) unstable; urgency=medium

  [ Ion Bazan ]
  * Fix generating final classes from reflection

 -- David Prévot <taffit@debian.org>  Fri, 25 Nov 2022 07:40:43 +0100

php-zend-code (4.7.0-1) unstable; urgency=medium

  [ Dorian Savina ]
  * Remove superfluous trailing line in trait usage generated code

 -- David Prévot <taffit@debian.org>  Fri, 16 Sep 2022 12:11:24 +0200

php-zend-code (4.6.0-1) unstable; urgency=medium

  [ Flavio Heleno ]
  * Update FileGenerator reference documentation

 -- David Prévot <taffit@debian.org>  Tue, 02 Aug 2022 05:38:36 +0200

php-zend-code (4.5.2-1) unstable; urgency=medium

  [ Ben Davies ]
  * ReflectionEnum is not final

  [ David Prévot ]
  * Mark package as Multi-Arch: foreign
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Sat, 18 Jun 2022 16:42:29 +0200

php-zend-code (4.5.1-1) unstable; urgency=medium

  [ Massimiliano Torromeo ]
  * Fixed deprecated null parameter in trim

 -- David Prévot <taffit@debian.org>  Tue, 21 Dec 2021 14:03:59 -0400

php-zend-code (4.5.0-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Bump laminas/laminas-coding-standard to 2.3.0
  * PHP 8.1 support

  [ Marco Pivetta ]
  * Upgraded `laminas/laminas-stdlib` to a version that is compatible with
    PHP 8.1+

  [ Adrien Crivelli ]
  * Drop `laminas/laminas-zendframework-bridge` and `zendframework/*`
    compatibility

  [ David Prévot ]
  * Drop d/pkg-php-tools-autoloaders
  * Install polyfill

 -- David Prévot <taffit@debian.org>  Wed, 08 Dec 2021 16:13:43 -0400

php-zend-code (4.4.3-2) unstable; urgency=medium

  * PHP 8.1 support

 -- David Prévot <taffit@debian.org>  Thu, 25 Nov 2021 19:29:03 -0400

php-zend-code (4.4.3-1) unstable; urgency=medium

  * Upload to unstable now that Bullseye has been released

  [ David Prévot ]
  * Use dh-sequence-phpcomposer instead of pkg-php-tools
  * Update standards version to 4.6.0, no changes needed.

  [ Ihor Sviziev ]
  * Fix incorrect argument type

 -- David Prévot <taffit@debian.org>  Thu, 07 Oct 2021 15:52:27 -0400

php-zend-code (4.4.2-1) experimental; urgency=medium

  [ Will Jones ]
  * Fix MethodGenerator Parameter Position
  * Make parameter sorting preserve array keys

 -- David Prévot <taffit@debian.org>  Wed, 14 Jul 2021 09:39:46 +0200

php-zend-code (4.4.0-1) experimental; urgency=medium

  [ Alexander M. Turek ]
  * Pass 0 instead of null to preg_match()

  [ Marco Pivetta ]
  * Dropping unused `laminas/laminas-eventmanager` dependency

  [ David Prévot ]
  * Drop php-laminas-eventmanager dependency

 -- David Prévot <taffit@debian.org>  Mon, 05 Jul 2021 07:31:28 +0200

php-zend-code (4.3.0-1) experimental; urgency=medium

  [ Laminas Bot ]
  * Bumps changelog version to 4.3.0

  [ Marco Pivetta ]
  * Remove `CHANGELOG.md` to simplify release workflow

  [ Nathanael Esayeas ]
  * Remove file headers

  [ David Prévot ]
  * Drop old upstream changelog

 -- David Prévot <taffit@debian.org>  Sun, 16 May 2021 05:58:20 -0400

php-zend-code (4.2.2-1) experimental; urgency=medium

  [ Laminas Bot ]
  * 4.2.2 readiness

  [ Martin Helmich ]
  * Fix DocBlockGenerator formatting issue

 -- David Prévot <taffit@debian.org>  Tue, 11 May 2021 13:34:24 -0400

php-zend-code (4.2.1-1) experimental; urgency=medium

  [ Laminas Bot ]
  * 4.2.1 readiness

  [ Thomas Rieschl ]
  * fix: consider missing indices in array

 -- David Prévot <taffit@debian.org>  Sun, 25 Apr 2021 09:19:48 -0400

php-zend-code (4.2.0-1) experimental; urgency=medium

  [ Michael Chekin ]
  * Making sure variadic parameters do not have default values

  [ Laminas Bot ]
  * 4.2.0 readiness

 -- David Prévot <taffit@debian.org>  Sat, 17 Apr 2021 08:47:13 -0400

php-zend-code (4.1.0-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Laminas Bot ]
  * 4.1.0 readiness

  [ David Prévot ]
  * Simplify gbp import-orig (and check signature)
  * Generate phpabtpl at build time

 -- David Prévot <taffit@debian.org>  Thu, 08 Apr 2021 21:41:55 -0400

php-zend-code (4.0.0-2) unstable; urgency=medium

  * Upload to unstable in sync with (reverse-)dependencies
  * Install /u/s/p/autoloaders file

 -- David Prévot <taffit@debian.org>  Wed, 13 Jan 2021 23:40:38 -0400

php-zend-code (4.0.0-1) experimental; urgency=medium

  [ Laminas Bot ]
  * 4.0.0 readiness

  [ David Prévot ]
  * Fix field name case in debian/tests/control (Test-command => Test-Command).
  * Remove laminas-zendframework-bridge override

 -- David Prévot <taffit@debian.org>  Sun, 03 Jan 2021 13:31:31 -0400

php-zend-code (3.5.1-1) experimental; urgency=medium

  * Upload new Laminas component to experimental

  [ Michał Bundyra ]
  * Updates copyright notes

  [ Matthew Weier O'Phinney ]
  * Rewriting as Laminas Project package

  [ Filippo Tessarotto ]
  * Migrate PHPUnit config
  * Tests pass on PHP 8.0 (Closes: #977376)

  [ Laminas Bot ]
  * 3.5.1 readiness

  [ David Prévot ]
  * Update gbp import-ref usage
  * Migrate to Laminas

 -- David Prévot <taffit@debian.org>  Thu, 24 Dec 2020 16:28:53 -0400

php-zend-code (3.4.1-2) unstable; urgency=medium

  * Adapt to recent version of PHPUnit (9)
  * Rename main branch to debian/latest (DEP-14)
  * Fix field name case in debian/tests/control (Test-command => Test-Command).
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Set Rules-Requires-Root: no.
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test
  * Update Standards-Version to 4.5.1

 -- David Prévot <taffit@debian.org>  Mon, 14 Dec 2020 11:29:41 -0400

php-zend-code (3.4.1-1) unstable; urgency=medium

  [ Michał Bundyra ]
  * Fix exception message in ValueGenerator for invalid values
  * PHP 7.4 compatibility fix
  * release: 3.4.1 readiness

  [ David Prévot ]
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- David Prévot <taffit@debian.org>  Wed, 11 Dec 2019 15:17:20 -1000

php-zend-code (3.4.0-1) unstable; urgency=medium

  [ webimpress ]
  * release: 3.4.0 readiness

  [ David Prévot ]
  * Set upstream metadata fields: Repository.
  * Drop versioned dependency satisfied in (old)stable
  * Update Standards-Version to 4.4.1

 -- David Prévot <taffit@debian.org>  Sun, 06 Oct 2019 15:32:26 -1000

php-zend-code (3.3.2-1) unstable; urgency=medium

  [ webimpress ]
  * release: 3.3.2 readiness

  [ David Prévot ]
  * Document gbp import-ref usage
  * Use upstream testsuite
  * Use versioned copyright format URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Drop versioned dependency satisfied in (old)stable
  * Update Standards-Version to 4.4.0
  * Fix homemade autoload.php
  * Update copyright (years)
  * Adapt packaging to new docs path
  * Updte Description

 -- David Prévot <taffit@debian.org>  Sun, 01 Sep 2019 05:28:16 -1000

php-zend-code (3.3.1-1) unstable; urgency=medium

  [ Matthew Weier O'Phinney ]
  * Sets date for 3.3.1 release in CHANGELOG

  [ David Prévot ]
  * Update Standards-Version to 4.2.0

 -- David Prévot <taffit@debian.org>  Mon, 20 Aug 2018 17:34:43 -1000

php-zend-code (3.3.0-2) unstable; urgency=medium

  * Upload to unstable now that PHP 7.2 is the default
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3

 -- David Prévot <taffit@debian.org>  Wed, 07 Mar 2018 15:23:30 -1000

php-zend-code (3.3.0-1) experimental; urgency=medium

  * Upload to experimental since it depends on PHP 7.1 that is not yet the
    default version

  [ Marco Pivetta ]
  * Documented 3.3.0 release changes

  [ David Prévot ]
  * Update Standards-Version to 4.1.1

 -- David Prévot <taffit@debian.org>  Mon, 23 Oct 2017 16:27:29 -1000

php-zend-code (3.2.0-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * Preparing 3.2.0 release notes

  [ David Prévot ]
  * Update Standards-Version to 4.0.1

 -- David Prévot <taffit@debian.org>  Sun, 06 Aug 2017 18:31:50 -0400

php-zend-code (3.1.0-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * 3.1.0 release notes

 -- David Prévot <taffit@debian.org>  Tue, 22 Nov 2016 18:02:16 -1000

php-zend-code (3.0.4-1) unstable; urgency=medium

  [ Matthew Gamble ]
  * Resolve issues with traits in ClassScanner

 -- David Prévot <taffit@debian.org>  Thu, 30 Jun 2016 20:44:33 -0400

php-zend-code (3.0.3-1) unstable; urgency=medium

  [ Matthew Gamble ]
  * Fix handling of FQCNs in method parameters

  [ Toon Verwerft ]
  * Make sure that valid classnames are being used in the implements
    and extends section of a class.

 -- David Prévot <taffit@debian.org>  Thu, 30 Jun 2016 13:17:47 -0400

php-zend-code (3.0.2-1) unstable; urgency=medium

  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Mon, 25 Apr 2016 20:17:47 -0400

php-zend-code (3.0.1-2) unstable; urgency=medium

  * Upload to unstable in sync with php-proxy-manager 2
  * Update Standards-Version to 3.9.7
  * Rebuild with recent pkg-php-tools for the PHP 7.0 transition

 -- David Prévot <taffit@debian.org>  Tue, 22 Mar 2016 15:58:14 -0400

php-zend-code (3.0.1-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * Preparing 3.0.1 release

  [ Christophe Coevoet ]
  * Move php_codesniffer to dev requirements

  [ David Prévot ]
  * Revert "Add override for php-codesniffer"

 -- David Prévot <taffit@debian.org>  Wed, 27 Jan 2016 01:00:06 -0400

php-zend-code (3.0.0-1) experimental; urgency=medium

  * Upload to experimental since php-proxy-manager currently (as of 1.0.2-1)
    depends on php-zend-code (<< 3.0~~)

  [ Matthew Weier O'Phinney ]
  * Use phpcs instead of php-cs-fixer
  * Proper bookdown/mkdocs toolchain
  * 3.0 readiness

 -- David Prévot <taffit@debian.org>  Thu, 14 Jan 2016 18:33:08 -0400

php-zend-code (2.6.2-1) unstable; urgency=medium

  [ David Prévot ]
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Tue, 05 Jan 2016 20:39:52 -0400

php-zend-code (2.6.1-1) unstable; urgency=medium

  [ Christophe Coevoet ]
  * Use a bound constraint and right package for the doctrine annotations

 -- David Prévot <taffit@debian.org>  Sat, 28 Nov 2015 12:27:48 -0400

php-zend-code (2.6.0-1) unstable; urgency=medium

  [ David Prévot ]
  * Drop zf2 source not used anymore
  * Workaround for OR-ed versions
  * Ship new documentation

  [ Gary Hockin ]
  * Added base documentation

  [ Matthew Weier O'Phinney ]
  * Re-target eventmanager dependency
  * Prepare for 2.6.0 release

 -- David Prévot <taffit@debian.org>  Thu, 19 Nov 2015 21:46:55 -0400

php-zend-code (2.5.2-2) unstable; urgency=medium

  * Upload to unstable since everything is in place

 -- David Prévot <taffit@debian.org>  Thu, 22 Oct 2015 18:53:12 -0400

php-zend-code (2.5.2-1) experimental; urgency=medium

  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Sun, 30 Aug 2015 15:49:20 -0400

php-zend-code (2.5.1-1) experimental; urgency=medium

  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Wed, 03 Jun 2015 16:37:18 -0400

php-zend-code (2.4.2-1) experimental; urgency=medium

  * Adapt packaging to upstream split
  * Also split packaging repositories
  * Expand package description, using upstream README

 -- David Prévot <taffit@debian.org>  Sat, 16 May 2015 19:16:02 -0400

php-zend-code (2.4.0-1) experimental; urgency=medium

  * Upload new branch to experimental
  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Sun, 05 Apr 2015 06:14:11 -0400

php-zend-code (2.3.7-1) unstable; urgency=medium

  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Mon, 16 Mar 2015 17:56:37 -0400

php-zend-code (2.3.4-2) unstable; urgency=medium

  * Provide homemade autoload.php

 -- David Prévot <taffit@debian.org>  Sat, 07 Mar 2015 14:56:31 -0400

php-zend-code (2.3.4-1) unstable; urgency=medium

  * Update copyright years
  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Thu, 22 Jan 2015 10:09:50 -0400

php-zend-code (2.3.3-1) unstable; urgency=medium

  * Bump standards version to 3.9.6

 -- David Prévot <taffit@debian.org>  Thu, 18 Sep 2014 21:11:14 -0400

php-zend-code (2.3.1-1) unstable; urgency=low

  * Initial release (Closes: #757477)

 -- David Prévot <taffit@debian.org>  Fri, 08 Aug 2014 10:46:27 -0400
